Configuring the computations

### 2.5.7 Configuring the computations

You can configure how Xcas computes by using the menu item Cfg ▸ CAS configuration or by clicking on the status line. This will open a window with the following options:

Prog style
  (default: Xcas) — This has a menu from which you can choose a different language to program in; you can choose from Xcas, Python ^==** (Python syntax, except that ^ will be the exponentiation operator as in Xcas rather than the exclusive or operator as in Python), Python ^==xor (Python syntax, where ^ is the exclusive or operator), Maple, MuPAD and TI89/92.
eval
  (default: 25) — Here you can input a positive integer specifying the maximum number of recursions allowed when evaluating expressions.
prog
  (default: 1) — Here you can input a positive integer specifying the maximum number of recursions allowed when executing programs.
recurs
  (default: 100) — Here you can input a positive integer specifying the maximum number of recursive calls.
debug
  (default: 0) — Here you can input a 0 or 1. If this is 1, then Xcas will display intermediate information on the algorithms used by Xcas. If this is 0, then no such information is displayed.
maxiter
  (default: 20) — Here you can input an integer specifying the maximum number of iterations to be used in Newton’s method.
Float format
  (default: standard) — This has a menu from which you can choose how to display decimal numbers. Your choices will be:
  standard
    In standard notation, a number will be written out completely without using exponentials; for example, 15000.12 will be displayed as 15000.12.
  scientific
    In scientific notation, a number will be written as a number between 1 and 10 times a power of ten; for example, 15000.12 will be displayed as 1.500012000000e+04 (where the number after e indicates the power of 10).
  engineer
    In engineering notation, a number will be written as a number between 1 and 1000 times a power of ten, where the power of 10 is a multiple of three. For example, 15000.12 will be displayed as 15.00012e3.
Digits
  (default: 12) — Here you can input a positive integer which will indicate the number of significant digits that Xcas will use.
epsilon
  (default: 10−12) — Here you can input a floating point number which will be the value of epsilon used by epsilon2zero, which is a function that replaces numbers with absolute value less than epsilon by 0 (see Section 9.4.1).
proba
  (default: 10−15) — Here you can input a floating point number. If this number is greater than zero, then in some cases Xcas can use probabilistic algorithms and give a result with probability of being false less than this value. (One such example of a probabilistic algorithm that Xcas can use is the algorithm to compute the determinant of a large matrix with integer coefficients.)
approx
  (default: unchecked) — If checked, then exact numbers such as √2 will be given a floating point approximation, otherwise exact values will be used when possible. (See Section 2.5.4.)
autosimplify
  (default: 1) — Here you can input 0, 1 or 2. A value of 0 means no automatic simplification will be done, a value of 1 means grouped simplification will be automatic. A value of 2 means that all simplification will be automatic.
threads
  (default: 1) — Here you can enter a positive integer to indicate the number of threads (for a possible future threaded version).
Integer basis
  (default: 10) — This has a menu from which you can choose an integer base to work in; your choices will be 8, 10 and 16.
radian
  (default: checked) — If checked, then angles will be measured in radians, otherwise they will be measured in degrees.
Complex
  (default: unchecked) — If checked, then Xcas will work in complex mode, meaning, for example, that polynomials will be factored with complex numbers if necessary.
Cmplx_var
  (default: unchecked) — If checked, then variables will by default be assumed to be complex. For example, the expression re(z) won’t be simplified, it will return re(z). If unchecked, then variables by default will be assumed to be real, and so re(z) will be simplified to z.
increasing power
  (default: unchecked) — If checked, then polynomials will be written out in increasing powers of the variable, otherwise they will be written in decreasing powers.
All_trig_sol
  (default: unchecked) — If checked, then Xcas will give the complete solutions of trigonometric equations. For example, the solution of cosx=0 will be given as [(2n_0π+π)/2], where n0 can be any integer. If unchecked, then only the primary solutions of trigonometric equations will be given. For example, the solutions of cos(x)=0 will be the pair [−π/2,π/2].
Sqrt
  (default: checked) — If checked, then the factor command will factor second degree polynomials, even when the roots are not in the field determined by the coefficients. For example:

  factor(x^2-3)

  | ⎛ ⎜ ⎝ | x− | √ |
  3
  | ⎞ ⎟ ⎠ | ⎛ ⎜ ⎝ | x+ | √ |
  3
  | ⎞ ⎟ ⎠

  If unchecked, then the same command line returns x2−3.

This page also has buttons for applying the settings, saving the settings for future sessions, canceling any new settings, and restoring the default settings.